function onice(channel) {
  return function(evt) {
    if (evt.candidate) {
      send(channel, {command:"ice", data:candidate});
    }
  }
}

function desc(pc, channel, comm) {
  return function(desc) {
    pc.setLocalDescription(desc);
    send(channel, {command:comm, data:desc});
  };
}

function onadd() {
  return function(evt) {
    connectStream(evt.stream, "#remote");
  }
}    

function connectStream(stream, query) {
 var ele = document.querySelector(query);
 if (ele) {
   ele.mozSrcObject = stream;
   ele.play();
 }	
};

function error(err) {
 document.getElementById("msg").textContent=err;
}

function send(channel, msg) {
  console.log(msg);
  channel.send(JSON.stringify(msg));
}

function data(pc, opener) {
  if (opener) {
    config(pc.createDataChannel("work"));
  } else {
    pc.ondatachannel = function(evt) {
      config(evt.channel);
    }
  }
}  

function config(channel) {
  channel.onmessage = function(evt) {
    console.log(evt.data);
    channel.send("recived message");
  }
}
