document.addEventListener('DOMContentLoaded', function() {
  var serv = null;
  navigator.getUserMedia(
    {video:true, audio:true},
    function(stream) {
      connectStream(stream, "#local");
      var pcLocal = connection(serv);
      var pcRemote = connection(serv);
      pcLocal.addStream(stream);
      pcLocal.createOffer(function(desc) {
        pcLocal.setLocalDescription(desc);
        pcRemote.setRemoteDescription(desc);
        pcRemote.createAnswer(function(desc) {
          pcRemote.setLocalDescription(desc);
          pcLocal.setRemoteDescription(desc);
        })
      });
      pcRemote.onaddstream = function(evt) {
        connectStream(evt.stream, "#remote");
      }
      pcLocal.onicecandidate = onice(pcRemote);
      pcRemote.onicecandidate = onice(pcLocal);
    },
    error
  );
});