document.addEventListener('DOMContentLoaded', function() {
  var serv = pc = null,
      url = 'ws://'+location.host;
  navigator.getUserMedia(
    {video:true, audio:true},
    function(stream) {
      connectStream(stream, "#local");
      var channel = new WebSocket(url, 'webrtc');
      channel.onopen = function() {
        pc = connection(serv);
        pc.addStream(stream);
        pc.onicecandidate = onice2(channel);
        pc.onaddstream = onadd();
        pc.createOffer(desc(pc, channel, "offer"));
      };
      channel.onmessage = function(msg) {
        var sig = JSON.parse(msg.data);
        switch(sig.command) {
	      case "offer":
            pc = connection(serv);
            pc.addStream(stream);
            pc.setRemoteDescription(description(sig.data));
            pc.onicecandidate = onice2(channel);
            pc.onaddstream = onadd();
            pc.createAnswer(desc(pc, channel, "answer"));
          break;
          case "answer":
            pc.setRemoteDescription(description(sig.data));
          break;
          case "ice":
            pc.addIceCandidate(icecandidate(sig.data));
          break;
        }
      };
    },
    error
  );
});
